API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class PopUpEvent

Package | ch.unil.cbg.ExpressionView.events
Class | public class PopUpEvent
Inheritance | PopUpEvent flash.events.Event

Public Properties

| Property | Defined by
--- | --- | ---
|  | data : Array | PopUpEvent

Public Methods

| Method | Defined by
--- | --- | ---
|  | PopUpEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true) | PopUpEvent
|  | clone():Event | PopUpEvent

Public Constants

| Constant | Defined by
--- | --- | ---
|  | CANCEL : String = "Cancel" [static] | PopUpEvent
|  | OK : String = "Ok" [static] | PopUpEvent

Property detail

data | property

`public var data:Array`
Constructor detail

PopUpEvent | () | constructor

`public function PopUpEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true)`Parameters

| `_type:String`
| `_data:Array` (default = `null`)``
| `_bubbles:Boolean` (default = `true`)``
| `_cancelable:Boolean` (default = `true`)``

Method detail

clone | () | method

`public override function clone():Event`

Returns

| `Event`

Constant detail

CANCEL | constant

`public static const CANCEL:String = "Cancel"`

OK | constant |

`public static const OK:String = "Ok"`